org.apache.maven.scm.command.diff

## Class DiffScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.diff.DiffScmResult

- All Implemented Interfaces:
    Serializable

      public class DiffScmResult
      extends ScmResult

  Version:
    $Id: DiffScmResult.java 683454 2008-08-07 00:54:11Z bentmann $
  Author:
    Brett Porter
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiffScmResult(List changedFiles, Map differences, String patch, ScmResult result)`
    `DiffScmResult(String commandLine, List changedFiles, Map differences, String patch)`
    `DiffScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getChangedFiles()`
    `Map` | `getDifferences()`
    `String` | `getPatch()`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiffScmResult

          public DiffScmResult(String commandLine,
                       List changedFiles,
                       Map differences,
                       String patch)

    - #### DiffScmResult

          public DiffScmResult(String commandLine,
                       String providerMessage,
                       String commandOutput,
                       boolean success)

    - #### DiffScmResult

          public DiffScmResult(List changedFiles,
                       Map differences,
                       String patch,
                       ScmResult result)

  - ### Method Detail

    - #### getChangedFiles

          public List getChangedFiles()

    - #### getDifferences

          public Map getDifferences()

    - #### getPatch

          public String getPatch()

Copyright © 2003–2015. All rights reserved.